%define kit2ver		v3.1
%define ver		%{kit2ver}
# This make all kinput2 combinations when defaultbuild is 1
%define allbuild	0

Summary: kinput2 - kanji input server for X11
Name: kinput2
Version: %{ver}
Release: b2
Group: User Interface/X
Source0: ftp://ftp.sra.co.jp/pub/x11/kinput2/%{name}-%{kit2ver}.tar.bz2
Source1: Kinput2.conf.canna
Source2: Kinput2.conf.wnn4
Source3: Kinput2.conf.canna-wnn4
Source4: Kinput2.conf.wnn6
Source5: Kinput2.conf.canna-wnn6
Patch0: Kinput2.ad.patch
Patch1: kinput2.ppc.patch
Patch2: %{name}-v3.libdir.patch
# ia64 patch (but not complete)
Patch3: kinput2-v3.1-ia64.patch
Patch4: kinput2-v3.1-wm_state_above.patch
# for openoffice
License: Distributable
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: Canna-devel >= 3.6-13
#BuildRequires: FreeWnn-devel Wnn6-SDK-devel

BuildArchitectures: i586


%description
Kinput2 is an input server for X11 applications that want Japanese text input.

###%if %{allbuild}
%package canna
Summary: kinput2 for Canna
Group: User Interface/X
Obsoletes: kinput2
Conflicts: kinput2-wnn4, kinput2-wnn6, kinput2-canna-wnn4,kinput2-canna-wnn6

%description canna
Kinput2 is an input server for X11 applications that want Japanese text input.
This package inclules kinput2 for Canna.

%if %{allbuild}
%package wnn4
Summary: kinput2 for Wnn4
Group: User Interface/X
Obsoletes: kinput2, wnn
Conflicts: kinput2-canna, kinput2-wnn6, kinput2-canna-wnn4,kinput2-canna-wnn6

%description wnn4
Kinput2 is an input server for X11 applications that want Japanese text input.
This package inclules kinput2 for Wnn4.

%package canna-wnn4
Summary: kinput2 for both Canna and Wnn4
Group: User Interface/X
Obsoletes: kinput2, canna-wnn
Conflicts: kinput2-canna, kinput2-wnn6, kinput2-wnn4,kinput2-canna-wnn6

%description canna-wnn4
Kinput2 is an input server for X11 applications that want Japanese text input.
This package inclules kinput2 for both Canna and Wnn4.

%package wnn6
Summary: kinput2 for Wnn6
Group: User Interface/X
Obsoletes: kinput2
Conflicts: kinput2-canna, kinput2-wnn4, kinput2-canna-wnn4,kinput2-canna-wnn6

%description wnn6
Kinput2 is an input server for X11 applications that want Japanese text input.
This package inclules kinput2 for Wnn6.

%endif #allbuild macro

#%package canna-wnn6
#Summary: kinput2 for both Canna and Wnn6
#Group: User Interface/X
#Obsoletes: kinput2
#Conflicts: kinput2-canna, kinput2-wnn4, kinput2-canna-wnn4,kinput2-wnn6

#%description canna-wnn6
#Kinput2 is an input server for X11 applications that want Japanese text input.
#This package inclules kinput2 for both Canna and Wnn6.

%prep
%setup -q
#%setup -q -n %{name}-%{kit2ver}-%{betaver}
cp ${RPM_SOURCE_DIR}/Kinput2.conf.* .
%patch0 -p1
%ifarch ppc
%patch1 -p1
%endif
%patch2 -p1
%patch3 -p1 -b .ia64
%patch4 -p1

head -21 cmd/kinput2.c >Copyright

rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6
if [ -d /usr/X11R6.1 ]; then
	ln -sf ${RPM_BUILD_ROOT}/usr/X11R6 ${RPM_BUILD_ROOT}/usr/X11R6.1
fi
if [ -d /usr/X11R6.3 ]; then
	ln -sf ${RPM_BUILD_ROOT}/usr/X11R6 ${RPM_BUILD_ROOT}/usr/X11R6.3
fi
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/bin
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/man/man1

%build
###%if %{allbuild}
rm -f Kinput2.conf
ln -sf Kinput2.conf.canna Kinput2.conf
xmkmf -a
make
mv cmd/kinput2 kinput2.canna
make clean

%if %{allbuild}
ln -sf Kinput2.conf.wnn4 Kinput2.conf
xmkmf -a
make
mv cmd/kinput2 kinput2.wnn4
make clean

ln -sf Kinput2.conf.canna-wnn4 Kinput2.conf
xmkmf -a
make
mv cmd/kinput2 kinput2.canna-wnn4
make clean

ln -sf Kinput2.conf.wnn6 Kinput2.conf
xmkmf -a
make
mv cmd/kinput2 kinput2.wnn6
make clean

%endif

#ln -sf Kinput2.conf.canna-wnn6 Kinput2.conf
#xmkmf -a
#make
#mv cmd/kinput2 kinput2.canna-wnn6

%install
###%if %{allbuild}
install -c -m 0755 kinput2.canna      ${RPM_BUILD_ROOT}/usr/X11R6/bin
%if %{allbuild}
install -c -m 0755 kinput2.wnn4       ${RPM_BUILD_ROOT}/usr/X11R6/bin
install -c -m 0755 kinput2.canna-wnn4 ${RPM_BUILD_ROOT}/usr/X11R6/bin
install -c -m 0755 kinput2.wnn6       ${RPM_BUILD_ROOT}/usr/X11R6/bin
%endif
#install -c -m 0755 kinput2.canna-wnn6 ${RPM_BUILD_ROOT}/usr/X11R6/bin

mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/app-defaults
install -c -m 0444 cmd/Kinput2.ad ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/app-defaults/Kinput2

mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/ccdef
install -c -m 0444 ccdef/ccdef.* ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/ccdef
install -c -m 0444 ccdef/rule.*  ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/ccdef

make install.man DESTDIR=${RPM_BUILD_ROOT}

%clean
rm -rf ${RPM_BUILD_ROOT}

###%if %{allbuild}
%post canna
ln -sf kinput2.canna /usr/X11R6/bin/kinput2

%preun canna
if [ "$1" = 0 ]; then
	rm -rf /usr/X11R6/bin/kinput2
fi

%if %{allbuild}
%post wnn4
ln -sf kinput2.wnn4 /usr/X11R6/bin/kinput2

%preun wnn4
if [ "$1" = 0 ]; then
	rm -rf /usr/X11R6/bin/kinput2
fi

%post canna-wnn4
ln -sf kinput2.canna-wnn4 /usr/X11R6/bin/kinput2

%preun canna-wnn4
if [ "$1" = 0 ]; then
	rm -rf /usr/X11R6/bin/kinput2
fi


%post wnn6
ln -sf kinput2.wnn6 /usr/X11R6/bin/kinput2

%preun wnn6
if [ "$1" = 0 ]; then
	rm -rf /usr/X11R6/bin/kinput2
fi

%endif

#%post canna-wnn6
#ln -sf kinput2.canna-wnn6 /usr/X11R6/bin/kinput2

#%preun canna-wnn6
#if [ "$1" = 0 ]; then
#	rm -rf /usr/X11R6/bin/kinput2
#fi

###%if %{allbuild}
%files canna
%defattr(-, root, root)
%doc Copyright NEWS README doc
%config /usr/X11R6/lib/X11/app-defaults/Kinput2
/usr/X11R6/lib/X11/ccdef
# Add Up 2003/7/10
/usr/X11R6/bin/kinput2.canna
/usr/X11R6/man/man1/kinput2.1x*

%if %{allbuild}
%files wnn4
%defattr(-, root, root)
%doc Copyright NEWS README doc
%config /usr/X11R6/lib/X11/app-defaults/Kinput2
/usr/X11R6/lib/X11/ccdef
/usr/X11R6/bin/kinput2.wnn4
/usr/X11R6/man/man1/kinput2.1x*

%files canna-wnn4
%defattr(-, root, root)
%doc Copyright NEWS README doc
%config /usr/X11R6/lib/X11/app-defaults/Kinput2
/usr/X11R6/lib/X11/ccdef
/usr/X11R6/bin/kinput2.canna-wnn4
/usr/X11R6/man/man1/kinput2.1x*

%files wnn6
%defattr(-, root, root)
%doc Copyright NEWS README doc
%config /usr/X11R6/lib/X11/app-defaults/Kinput2
/usr/X11R6/lib/X11/ccdef
/usr/X11R6/bin/kinput2.wnn6
/usr/X11R6/man/man1/kinput2.1x*
%endif

#%files canna-wnn6
#%defattr(-, root, root)
#%doc Copyright NEWS README doc
#%config /usr/X11R6/lib/X11/app-defaults/Kinput2
#/usr/X11R6/lib/X11/ccdef
#/usr/X11R6/bin/kinput2.canna-wnn6
#/usr/X11R6/man/man1/kinput2.1x*


%changelog
* Thu Jul 10 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
- from Rawhide
- kinput2-v3.1-10.src.rpm
